#!/usr/bin/env bash

[ $# -ne 2 ] && {
  echo "Usage: addpic.sh <input_filename> <gallery_filename>"
  echo "Example: $0 ~/Pictures/Screenshot\ 2024-08-18\ at\ 23.32.55.png fusion.png"
  exit
}

infile=$1; shift
outfile=$(basename $1); shift


[ -r "$infile" ] || {
  echo "Can't read infile $infile"
  exit
}

today=$(date +%Y-%m-%d)

cmd="magick \"$infile\" -resize 400x static/img/thumbnails/$today/$outfile"
echo "Running: $cmd"
eval $cmd

cmd="magick \"$infile\" -resize 4000000@\> static/img/fullsize/$today/$outfile"
echo "Running: $cmd"
eval $cmd
